VEXXHOSTDocumentation
API referenceNotification channels

Replace a webhook channel's signing secret

POST
/v1/notification_channels/{channel_id}/rotate_secret

Authorization

keystone
headerX-Auth-Token<token>

Path Parameters

channel_id*string

Notification channel identifier.

Response Body

OK

application/json
  1. response
address?string
created_at*string
Formatdate-time
created_by*string
id*string
name*string
project_id*string
secret?string

A webhook's signing secret. It is returned only when the channel is created and when the secret is rotated.

status*string
Value in"pending_confirmation""confirmed"
type*string
url?string
curl -X POST "https://example.com/v1/notification_channels/string/rotate_secret"
{  "address": "string",  "created_at": "2019-08-24T14:15:22Z",  "created_by": "string",  "id": "string",  "name": "string",  "project_id": "string",  "secret": "string",  "status": "pending_confirmation",  "type": "string",  "url": "string"}